Package org.eclipse.gef.ui.actions

# Class ActionRegistry

java.lang.Object
org.eclipse.gef.ui.actions.ActionRegistry

public class ActionRegistry extends Object
A container for editor actions. You must register the actions before they will be available to the editor.

## Constructor Summary

Constructors
Constructor
Description
`ActionRegistry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Calls dispose on all actions which implement the `Disposable` interface so they can perform their own clean-up.
`IAction`
`getAction(Object key)`
Returns `null` or the `IAction` with the given key.
`Iterator`
`getActions()`
Returns an `Iterator` over all the actions.
`void`
`registerAction(IAction action)`
Register an action with this registry.
`void`
`removeAction(IAction action)`
Removes an action from this registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionRegistry

public ActionRegistry()

## Method Details

### dispose

public void dispose()
Calls dispose on all actions which implement the `Disposable` interface so they can perform their own clean-up.

### getAction

public IAction getAction(Object key)
Returns `null` or the `IAction` with the given key.

Parameters:
  `key` - the ID of the action being requested
Returns:
  `null` or the action with the corresponding ID

### getActions

public Iterator getActions()
Returns an `Iterator` over all the actions.

Returns:
  an iterator over all actions

### registerAction

public void registerAction(IAction action)
Register an action with this registry. The action must have an ID.

Parameters:
  `action` - the action being registered.

### removeAction

public void removeAction(IAction action)
Removes an action from this registry. The action must have an ID.

Parameters:
  `action` - the action to remove